{% extends 'core/base.html' %}

{% block title %}My Account{% endblock %}

{% block content %}

<div class="max-w-6xl mx-auto flex flex-wrap py-6 px-6 xl:px-0 bg-ctp-base">
  <div class="account w-full">
    <h1 class="mb-5 font-semibold text-3xl">Edit Account</h1>

    <!-- data not written to db when action="." remained in the form tag -->
    <form method="post" class="space-y-3">
      {% csrf_token %}
      <div>
        <input type="text" name="first_name" class="w-full mt-4 py-4 px-6 text-ctp-base bg-ctp-text rounded" value="{{ request.user.first_name }}" placeholder="First Name"></input>
      </div>
      <div>
        <input type="text" name="last_name" class="w-full py-4 px-6 text-ctp-base bg-ctp-text rounded" value="{{ request.user.last_name }}" placeholder="Last Name"></input>
      </div>
      <div>
        <input type="text" name="username" class="w-full py-4 px-6 text-ctp-base bg-ctp-text rounded" value="{{ request.user.username }}" placeholder="Username"></input>
      </div>
      <div>
        <input type="text" name="email" class="w-full py-4 px-6 text-ctp-base bg-ctp-text rounded" value="{{ request.user.email }}" placeholder="Email"></input>
      </div>
      <div>
        <button
          class="inline-block mt-4 px-8 py-4 rounded-xl font-bold text-ctp-base bg-gradient-to-r from-ctp-green to-ctp-sapphire hover:from-ctp-lavender hover:to-ctp-mauve">Save
        </button>
      </div>
    </form>
  </div>
</div>
{% endblock %}
